### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class PlatformServicesConfiguration

java.lang.Object
com.sas.services.deployment.PlatformServicesConfiguration

@SASScope("ALL") @BinaryCompatibilityOnly public class PlatformServicesConfiguration extends Object
Foundation services configuration file used to configure the services to be locally instantiated or remotely looked up by the foundation services facade.

Since:
  1.1
See Also:
  - `PlatformServices`
  - `MetadataSourceFactory`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `URL_FILE`
  URL prefix designating an file resource.
  `static final String`
  `URL_OMR`
  URL prefix designating an SAS Metadata Repository server resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlatformServicesConfiguration(MetadataSourceInterface[] localMetadataSources, MetadataSourceInterface[] remoteMetadataSources)`
  Constructs an instance of a foundation services configuration defined by the specified metadata sources.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final MetadataSourceInterface`
  `createMetadataSource(String url, String userId, String userPassword)`
  Define a metadata source based upon the URL.
  `MetadataSourceInterface[]`
  `getLocalMetadataSources()`
  Gets metadata sources defining local foundation service deployment configurations.
  `MetadataSourceInterface[]`
  `getRemoteMetadataSources()`
  Gets metadata sources defining remote foundation service deployment configurations.
  `static final boolean`
  `isOpenMetadataRepositoryURL(String deploymentConfigurationURL)`
  Determines whether or not the specified URL is for an OMR server.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### URL_OMR

    public static final String URL_OMR
    URL prefix designating an SAS Metadata Repository server resource.
    See Also:
      - Constant Field Values

  - ### URL_FILE

    public static final String URL_FILE
    URL prefix designating an file resource.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PlatformServicesConfiguration

    public PlatformServicesConfiguration(MetadataSourceInterface[] localMetadataSources, MetadataSourceInterface[] remoteMetadataSources) throws IllegalArgumentException
    Constructs an instance of a foundation services configuration defined by the specified metadata sources.
    Parameters:
      `localMetadataSources` - Array of`MetadataSourceInterface` elements that define sources of service deployments which are to be instantiated in this process.
      `remoteMetadataSources` - Array of `MetadataSourceInterface` elements that define sources of service deployments which have been instantiated by another process and are to be remotely looked up by this process.
    Throws:
      `IllegalArgumentException` - if no metadata sources are specified.
    See Also:
      - `MetadataSourceFactory`

- ## Method Details

  - ### isOpenMetadataRepositoryURL

    public static final boolean isOpenMetadataRepositoryURL(String deploymentConfigurationURL)
    Determines whether or not the specified URL is for an OMR server.
    Parameters:
      `deploymentConfigurationURL` - URL designating a source from which a foundation services configuration can be queried.
    Returns:
      `true` if the URL designates a SAS Metadata Repository.

  - ### getLocalMetadataSources

    public MetadataSourceInterface[] getLocalMetadataSources()
    Gets metadata sources defining local foundation service deployment configurations.
    Returns:
      Metadata sources defining local foundation service deployment configurations.

  - ### getRemoteMetadataSources

    public MetadataSourceInterface[] getRemoteMetadataSources()
    Gets metadata sources defining remote foundation service deployment configurations.
    Returns:
      Metadata sources defining remote foundation service deployment configurations.

  - ### createMetadataSource

    public static final MetadataSourceInterface createMetadataSource(String url, String userId, String userPassword)
    Define a metadata source based upon the URL.
    Parameters:
      `url` - URL defining a metadata source employing the syntax:

          sas-oma://hostname[:port];protocol=COM | BRIDGE;protocolOptions;IOMNameValuePairs/reposid=ABCDEFGH | reposname=reposName;OMINameValuepairs/MetadataType;id=ABCDEFGH.A1234567 | MetadataType?QueryString

      `userId` - User identity. Required for an OMR source.
      `userPassword` - User password. Required for an OMR source.
    Returns:
      Metadata source from which a foundation services configuration can be queried.